org.codehaus.plexus.util.cli

## Class StreamPumper

- java.lang.Object
- - java.lang.Thread
  - - org.codehaus.plexus.util.cli.StreamPumper

All Implemented Interfaces:
  java.lang.Runnable

    public class StreamPumper
    extends java.lang.Thread

Class to pump the error stream during Process's runtime. Copied from the Ant built-in task.

Since:
  June 11, 2001
Version:
  $Id: StreamPumper.java 8010 2009-01-07 12:59:50Z vsiveton $
Author:
  Florin Vancea , Paul Julius

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`StreamPumper(java.io.InputStream in)`
`StreamPumper(java.io.InputStream in, java.io.PrintWriter writer)`
`StreamPumper(java.io.InputStream in, java.io.PrintWriter writer, StreamConsumer consumer)`
`StreamPumper(java.io.InputStream in, StreamConsumer consumer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`boolean` `isDone()`
`void` `run()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StreamPumper

    public StreamPumper(java.io.InputStream in)

#### StreamPumper

    public StreamPumper(java.io.InputStream in,
                        StreamConsumer consumer)

#### StreamPumper

    public StreamPumper(java.io.InputStream in,
                        java.io.PrintWriter writer)

#### StreamPumper

    public StreamPumper(java.io.InputStream in,
                        java.io.PrintWriter writer,
                        StreamConsumer consumer)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`
Overrides:
  `run` in class `java.lang.Thread`

#### flush

    public void flush()

#### close

    public void close()

#### isDone

    public boolean isDone()